Skip to main content
PUT
Link a billing account

Authorizations

Authorization
string
header
required

Bearer token for the authenticated caller.

Headers

idempotency-key
string

Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.

Required string length: 1 - 64
Example:

"create-prod-2026-05-07"

Path Parameters

id
string
required
Required string length: 1 - 53

Body

application/json
billing_account
string | null
required
Pattern: ^billingAccounts\/bac_[A-Za-z0-9]+$
Example:

"billingAccounts/bac_4kQ9mXr2Tz7Lw1"

Response

WorkspaceBillingInfo

name
string
required
Example:

"workspaces/ws_j572abc/billingInfo"

workspace_id
string
required
Required string length: 2 - 53
billing_account
string | null
required
Pattern: ^billingAccounts\/bac_[A-Za-z0-9]+$
Example:

"billingAccounts/bac_4kQ9mXr2Tz7Lw1"

billing_enabled
boolean
required